1. We have added a Gift Upgrades feature that allows you to gift an account upgrade to another member, just in time for the holiday season. You can see the gift option when going to the Account Upgrades screen, or on any user profile screen.
    Dismiss Notice

EUI Compatibility Files (11/16)

Discussion in 'Community Patch Project' started by stackpointer, Nov 15, 2014.

  1. ExpiredReign

    ExpiredReign Deity

    Joined:
    Jan 3, 2013
    Messages:
    2,450
    Gender:
    Male
    Location:
    Tasmania
    And I wasn't suggesting you do it. There are enough of us around here that a smattering of Lua knowledge that collectively we could come close to doing something.
    It just seems to me that the UI is either ALL or NOTHING and since EUI has a lot of superfluous stuff why can't we do something ourselves?
     
  2. Gazebo

    Gazebo Lord of the Community Patch Supporter

    Joined:
    Sep 26, 2010
    Messages:
    18,002
    Gender:
    Male
    Location:
    Little Rock
    Perhaps, I just wanted to note that I hate UI stuff (and a lot of tasks do devolve to me, eventually).

    G
     
  3. Carloshooter

    Carloshooter Chieftain

    Joined:
    Apr 5, 2015
    Messages:
    29
    Location:
    Portugal
    Can't anyone help me? Is there another thread where i should ask this?
     
  4. balthazaar

    balthazaar Chieftain

    Joined:
    Sep 22, 2008
    Messages:
    51
    Is this thread still relevant?
     
  5. ExpiredReign

    ExpiredReign Deity

    Joined:
    Jan 3, 2013
    Messages:
    2,450
    Gender:
    Male
    Location:
    Tasmania
    If you use the installer, no, not really.
     
  6. balthazaar

    balthazaar Chieftain

    Joined:
    Sep 22, 2008
    Messages:
    51
    What do you mean??? cause I'm having some issues when trading/ interacting with AI.
     
  7. ExpiredReign

    ExpiredReign Deity

    Joined:
    Jan 3, 2013
    Messages:
    2,450
    Gender:
    Male
    Location:
    Tasmania
    Using the installer means you don't have to manually remove any files to make EUI compatible, which is what this thread is about. If you are suffering from anything else then you should ask about that in the main Vox Populi forum after doing a search to see if it is due to a mod conflict in your system. That is what it sounds like from what you are describing.
     
  8. balthazaar

    balthazaar Chieftain

    Joined:
    Sep 22, 2008
    Messages:
    51
    Cheers. I'm only using calypso colored religions, info-addict & really advanced start.
    I'll have to test, my best bet is info-addict causing conflict.
     
  9. vyyt

    vyyt Deity

    Joined:
    Jan 28, 2005
    Messages:
    2,188
    Location:
    Czech Republic
    I don't think info-addict is causing any problems, I have always been using. Unless something has changed in the latest version of VP, which I have not tried yet.
     
  10. balthazaar

    balthazaar Chieftain

    Joined:
    Sep 22, 2008
    Messages:
    51
    Do you use the compatibility file for EUI when using info-addict?
    This is taken from the EUI main page: "Info Addict v22: should be compatible provided Info Addict is patched with this replacement Info Addict compatibility file for EUI"
    http://forums.civfanatics.com/downloads.php?do=file&id=24646
    I was going to test without it just to see.
     
  11. vyyt

    vyyt Deity

    Joined:
    Jan 28, 2005
    Messages:
    2,188
    Location:
    Czech Republic
    Oh, sorry may have confused you with this! I don't use EUI. I tried it for 1 or 2 games before and I think I also kept the InfoAddict activated and I had not been altering any compatibility files, but maybe I remember wrong.
     
  12. Weketor

    Weketor Chieftain

    Joined:
    Apr 14, 2016
    Messages:
    16
    Balthazaar, I'm currently using Infoaddict v.22 together with InfoAddictHooks.lua and Vox populi. I've played 4 games no problems. The latest patch also works fine. I love that mod.
     
  13. balthazaar

    balthazaar Chieftain

    Joined:
    Sep 22, 2008
    Messages:
    51
    I stopped using other mods since I posted this and hadn't once seen the problem until yesterday when I re-installed Really advanced set-up to get rid of the damn Inca but it has me scratching my head :confused: How is it even possible that RAS could interfere with trading?? It's the same as before with the Celts repeatedly telling me "we no longer want this deal" every few turns.
    It could be to do with the RAS options settings during set-up because you have to manually activate settings which are usually set by default with CBP, most notably "no tech trading" and "events"... maybe this is having some effect on it.
    It's like this, with RAS = trade problem. No RAS = no trade problem. Very strange.
     
  14. Erwiin

    Erwiin Chieftain

    Joined:
    Nov 30, 2016
    Messages:
    15
    Gender:
    Male
    Sorry but what is that for? The compatibility files?
     
  15. Infixo

    Infixo Deity

    Joined:
    Jan 9, 2016
    Messages:
    3,690
    Gender:
    Male
    Location:
    Warsaw
    It seems that not all VP additions are displayed in the EUI's tooltips. Specifically, building modifier for a specific great person. There's a new table Building_SpecificGreatPersonRateModifier which VP uses e.g. for Opera House, Research Lab, etc. But the tooltip in the tech tree doesn't show this info.
     

Share This Page